Create Configuration Record
1 min
POST
https://api.upstartcommerce.com/v1/tenants/cfg/records
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobject<p>Request payload for creating a new configuration record. Records are instances of templates containing actual runtime configuration values for integrations and services. Use this to set up payment gateways, shipping providers, media storage, and other third-party integrations.</p>
201<p>Success-record created successfully. Returns the generated record ID.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
409The request conflicts with the current state of the resource. This typically occurs when trying to create a resource that already exists or when there's a conflict with business rules.
422<p>The request was well-formed but contains semantic errors or violates business rules that prevent processing.</p>
500<p>An unexpected internal server error occurred. The request may be retried, and if the problem persists, contact support with the traceId from the error response.</p>
curl --request POST \
--url https://api.upstartcommerce.com/v1/tenants/cfg/records \
--header 'accept: text/plain' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"templateId": "payment-cybersource",
"name": "Cybersource US Production Credentials",
"data": "{\"merchantId\":\"acme_us_prod\",\"apiKey\":\"sk_live_abc123xyz789\",\"apiUrl\":\"https://api.cybersource.com\",\"currency\":\"USD\",\"testMode\":false}",
"enabled": true,
"accessControl": {
"read": true,
"modify": false
}
}'